<template>
  <label class="checkbox">
    <input type="checkbox"
           :name="name"
           :value="val"
           v-model="model"
    >
    <span class="checkbox__field">
      <icon-check class="checkbox__icon"/>
    </span>
    <span class="checkbox__label" :class="labelClass"><slot/></span>
  </label>

</template>

<script>
  import IconCheck from '../components/icons/IconCheck';

  export default {
    name: 'Checkbox',
    props: {
      labelClass: {
        type: String,
        default: ''
      },

      name: {
        type: String,
        required: true
      },

      // для v-model
      value: {
        type: Array,
        required: true
      },

      val: {
        type: [String, Object],
        required: true
      },
    },
    components: {
      IconCheck
    },
    computed: {
      model: {
        get() {
          return this.value;
        },
        set(val) {
          this.$emit('input', val);
        },
      },
    }
  }
</script>

<style scoped lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .checkbox {
    @include checkbox;
  }
</style>
